Package: org.codehaus.groovy.antlr

## [Java] Interface AntlrASTProcessor

- An interface for processing antlr AST objects

  Authors:
    Jeremy Rayner
  Version:
    \$Revision\$

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `AST` | `process(AST t)` performs some processing on the supplied AST node.

- - ### Method Detail

    - #### public AST process(AST t)

      performs some processing on the supplied AST node.

      Parameters:
        `t` - the AST node to process.
      Returns:
        possibly returns the AST modified or null, depends on the implementation.